<?php
//
#$user['level']=1;
#$user['maxlive']=0;

#echo $user['maxlive']."<br />";
//формула расчета экспоненты  4+($guser[glevel]*4)
//
include_once SYS."/exp.st";
//
//Проверка уровня
if ($user['exp']>$user['maxexp'])
{
#mysql_query("UPDATE `user` SET `exp`=(`exp`-$user[maxexp]), `level`=(`level`+1), `uptime`='$s_time' WHERE `id`='$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `exp`='0', `level`=(`level`+1), `uptime`='$s_time' WHERE `id`='$user[id]' LIMIT 1");
if($user['ref']>0) // Начисление реферальских процентов  по 100 рублей за уровень
{
$percent=abs(100*($user['level']+1));
mysql_query("UPDATE `user` SET `kredits`=(`kredits`+$percent) WHERE `id`='$user[ref]' LIMIT 1");
// Отправить на мыло уведомление
}
mset_msg("Новый уровень ".($user['level']+1));
}
// Сброс на респаун при 0 жизни
if ($user['live']<=0)
{
mset_msg("Вы погибли!");
$tmp_ex=explode('#',trim($user['resp']));
mysql_query("UPDATE `user` SET `live`='15', `locatid`='$tmp_ex[0]', `coord`='$tmp_ex[1]', `uptime`='$s_time' WHERE `id`='$user[id]' LIMIT 1");
}
//
echo "<div class='c07'>";
if($user['accept']>0)echo "<a href='adm.php'>админка</a>";
echo " <a href='index.php?l=locat'>локация</a>";
echo " <a href='index.php?l=pers'>персонаж</a>";
echo " <a href='index.php?l=rukzak'>рюкзак</a>";
echo "</div>";
// Данные игрока  <label >
$path=M."/img/ico";
echo "<div class='ssila'>";
echo "[$user[level]] $user[login] ($user[exp]/$user[maxexp]) ";
echo "<br />Баланс: ".number_format($user['kredits'],2,',',' ')." руб.<br />";
echo "<img title='Здоровье' src='$path/live.png' alt='*' />($user[live]/$user[maxlive]) <img title='Энергия' src='$path/energy.png' alt='*' />($user[energy]/$user[maxenergy])<br />";
// Проверка новых сообщений
$checknewmail=@mysql_result(mysql_query(" SELECT COUNT(*) FROM `mail` WHERE (`id_kont`='$user[id]' AND `read`='0') GROUP BY `id_user`"),0);
if($checknewmail){echo "<a href='?l=mail&new'><img src='/img/ico/nav_pochta.gif' alt='*' /> Свежая почта [$checknewmail]</a><br />";}
unset($checknewmail);
echo "</div>";
include_once SYS."/emission.php";

//
?>
